## h5py 3.13.0

=== debian/changelog ===
h5py (3.13.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:17:11 +0000

h5py (3.13.0-1ubuntu1) questing; urgency=medium

  * Adopt patch from Fedora to fix build with IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 04 Jun 2025 13:49:32 +0000

h5py (3.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Feb 2025 14:54:20 +0100
