=== debian/changelog ===
h5py (3.14.0-3) unstable; urgency=medium

  * Team upload
  * Adopt patch from Fedora to fix build with
    IEEE long double on ppc64el (Closes: #1114002)

 -- Graham Inggs <ginggs@debian.org>  Fri, 05 Sep 2025 18:14:02 +0000

h5py (3.14.0-2) unstable; urgency=medium

  * debian patch test_endian.patch adapts dataset repr tests to allow
    for system endianness. Needed for s390x to pass tests.
    cf. upstream issue #2669

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Aug 2025 18:46:15 +0200

h5py (3.14.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: python3-numpy (>= 2.0.0~)
  * Build-Depends: python3-numpy-dev (provides dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Aug 2025 15:46:07 +0200
