=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: h5py
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
@@ -18,7 +17,8 @@
                python3-all-dev:any,
                python3-cached-property,
                python3-mpi4py (>= 3.1.4),
-               python3-numpy (>= 1.19.3),
+               python3-numpy (>= 2.0.0~),
+               python3-numpy-dev,
                python3-pkgconfig,
                python3-pytest <!nocheck>,
                python3-pytest-mpi <!nocheck>,
@@ -28,7 +28,7 @@
                libjs-mathjax,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/h5py
 Vcs-Git: https://salsa.debian.org/science-team/h5py.git
 Homepage: https://www.h5py.org/
