## h5py 3.15.1

=== debian/changelog ===
h5py (3.15.1-4) unstable; urgency=medium

  * Team upload.
  * Fix build with multiple supported interpreters in the archive,
    cherry-picking the patch from Ubuntu (Closes: #1121393).
  * Add ca-certificates to autopkgtests for curl.

 -- Stuart Prescott <stuart@debian.org>  Fri, 05 Dec 2025 11:45:30 +1100

h5py (3.15.1-3) unstable; urgency=medium

  * update debian patches for ppc arches
    - ppc-float128.patch: apply h5t special handling to ppc64le
      only, keeping ppc64 handling, and replace ppc64le with ppc
      (powerpc) in list of UNSUPPORTED_LONG_DOUBLE in test_dtype.py
    - drop skip-test-data-ppc64.patch and skip-test-ppc64el.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Nov 2025 15:09:55 +0100

h5py (3.15.1-2) unstable; urgency=medium

  * debian patch skip-test-data-ppc64.patch skips failing tests on
    ppc64 (insufficient precision or unsupported float128)
  * drop deprecated debian patches
    - hdf5_pkgconfig.patch (no longer used)
    - python3-dbg_skip_file_test_exception.patch (upstream PR#1642)
    - test-skip-test_float_round_tripping.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Nov 2025 11:33:54 +0100

h5py (3.15.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch test_endian.patch
    - deprecates update_mpi4py.patch
  * set DEB_CFLAGS_MAINT_APPEND to ensure include path to lzf.h is
    known when lzf_filter.o is compiled.
    Link lzf_filter.o before -llzf when building the standalone plugin
    liblzf_filter.so to ensure NEEDED is written into the library.
  * update debian patches
    - build_flavour.patch to apply flavour when
      processing module template files (*.templ.pyd or *.templ.pyx)
    - skip-test-ppc64el.patch imports ut from common.py

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Nov 2025 21:54:14 +0100
