=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND = $(shell pkgconf --cflags liblzf)
 
 PYBUILD_NAME_SERIAL=h5py_serial
 PYBUILD_NAME_MPI=h5py_mpi
@@ -92,7 +94,8 @@
 	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
-	cd $(BUILD_DIR_MPI)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-mpi liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
+	cd $(BUILD_DIR_MPI); \
+	$(CC) `find . -name lzf_filter.o | sort | head -n 1` $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-mpi    liblzf) -fPIC -shared -o liblzf_filter.so
 
 # build serial build only for arch builds
 execute_after_dh_auto_build-arch: export http_proxy=127.0.0.1:9
@@ -102,7 +105,8 @@
 	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
-	cd $(BUILD_DIR_SERIAL)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-serial liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
+	cd $(BUILD_DIR_SERIAL); \
+	$(CC) `find . -name lzf_filter.o | sort | head -n 1` $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell $(PKG_CONFIG) --cflags --libs hdf5-serial liblzf) -fPIC -shared -o liblzf_filter.so
 
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -154,4 +158,3 @@
 	mkdir -p debian/python3-h5py/usr/lib/python3/dist-packages/h5py
 	cp debian/wrapper_module/h5py/__init__.py debian/python3-h5py/usr/lib/python3/dist-packages/h5py
 	cp -r debian/python3-h5py-mpi/usr/lib/python$(PY3VER)/dist-packages/h5py-*.dist-info debian/python3-h5py/usr/lib/python3/dist-packages/
-	sed "/Requires-Dist: mpi4py/d" -i debian/python3-h5py/usr/lib/python3/dist-packages/h5py*.dist-info/METADATA
